OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_AddFileComment Class Reference

This class allows to add comment lines on writing an IGES File
These lines are added to Start Section, instead of the only
one blank line written by default.
.

`#include <IGESSelect_AddFileComment.hxx>`

Inheritance diagram for IGESSelect_AddFileComment:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_AddFileComment ()
| Creates a new emoty AddFileComment. Use AddLine to complete it .
Standard_EXPORT void | Clear ()
| Clears the list of file comment lines already stored .
Standard_EXPORT void | AddLine (const Standard_CString line)
| Adds a line for file comment Remark : Lines are limited to 72 useful char.s . A line of more than 72 char.s will be splited into several ones of 72 max each. .
Standard_EXPORT void | AddLines (const Handle(TColStd_HSequenceOfHAsciiString)&lines)
| Adds a list of lines for file comment Each of them must comply with demand of AddLine .
Standard_EXPORT Standard_Integer | NbLines () const
| Returns the count of stored lines .
Standard_EXPORT Standard_CString | Line (const Standard_Integer num) const
| Returns a stored line given its rank .
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Lines () const
| Returns the complete list of lines in once .
Standard_EXPORT void | Perform (IFSelect_ContextWrite &ctx, IGESData_IGESWriter &writer) const
| Sends the comment lines to the file (Start Section) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns specific Label, which is "Add <nn> Comment Lines (Start Section)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HSequenceOfHAsciiString | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_AddFileComment::IGESSelect_AddFileComment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESSelect_AddFileComment::AddLine | ( | const Standard_CString | line | ) |

Standard_EXPORT void IGESSelect_AddFileComment::AddLines | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | lines | ) |

Standard_EXPORT void IGESSelect_AddFileComment::Clear | ( |  | ) |

Standard_EXPORT const IGESSelect_AddFileComment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_FileModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_AddFileComment::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT Standard_CString IGESSelect_AddFileComment::Line | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString IGESSelect_AddFileComment::Lines | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESSelect_AddFileComment::NbLines | ( |  | ) | const

Standard_EXPORT void IGESSelect_AddFileComment::Perform | ( | IFSelect_ContextWrite & | ctx,
|  | IGESData_IGESWriter & | writer
| ) | const`[virtual]`

| Implements IGESSelect_FileModifier.

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString IGESSelect_AddFileComment::thelist`[private]`

The documentation for this class was generated from the following file:

- IGESSelect_AddFileComment.hxx